Interoperability with Intel Xeon Phi (MIC)(3)

NAME
Interoperability with Intel Xeon Phi (MIC) -

  Functions
static int hwloc_intel_mic_get_device_cpuset (hwloc_topology_t topology, int idx, hwloc_cpuset_t set)
static hwloc_obj_t hwloc_intel_mic_get_device_osdev_by_index (hwloc_topology_t topology, unsigned idx)

Detailed Description

This interface offers ways to retrieve topology information about Intel Xeon Phi (MIC) devices.

Function Documentation

  static int hwloc_intel_mic_get_device_cpuset (hwloc_topology_ttopology, intidx, hwloc_cpuset_tset) [inline], [static]

Get the CPU set of logical processors that are physically close to MIC device whose index is idx. Return the CPU set describing the locality of the MIC device whose index is idx.

Topology topology and device index idx must match the local machine. I/O devices detection is not needed in the topology.

The function only returns the locality of the device. If more information about the device is needed, OS objects should be used instead, see hwloc_intel_mic_get_device_osdev_by_index().

This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

  static hwloc_obj_t hwloc_intel_mic_get_device_osdev_by_index (hwloc_topology_ttopology, unsignedidx) [inline], [static]

Get the hwloc OS device object corresponding to the MIC device for the given index. Return the OS device object describing the MIC device whose index is idx. Return NULL if there is none.

The topology topology does not necessarily have to match the current machine. For instance the topology may be an XML import of a remote host. I/O devices detection must be enabled in the topology.

Note:
    The corresponding PCI device object can be obtained by looking at the OS device parent object.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.